" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr and *.tl
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,&,*,+,-,:,<,=,>,?,\\,_,~,/

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *e* *flo-dig*
syn keyword tl_keyword contained *flo-epsilon* *flo-max* *flo-min* *full-args*
syn keyword tl_keyword contained *gensym-counter* *lib-version* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *load-path* *package* *package-alist*
syn keyword tl_keyword contained *param-macro* *pi* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *random-state* *random-warmup* *self-path* *stddebug*
syn keyword tl_keyword contained *stderr* *stdin* *stdlog* *stdnull*
syn keyword tl_keyword contained *stdout* *trace-output* *txr-version* *unhandled-hook*
syn keyword tl_keyword contained + - / /=
syn keyword tl_keyword contained : :abandoned :addr :apf
syn keyword tl_keyword contained :append :args :atime :auto
syn keyword tl_keyword contained :awk-again :awk-file :awk-rec :begin
syn keyword tl_keyword contained :begin-file :blksize :blocks :bool
syn keyword tl_keyword contained :byte-oriented :cdigit :chars :cint
syn keyword tl_keyword contained :close :continue :counter :cspace
syn keyword tl_keyword contained :ctime :cword-char :dec :decline
syn keyword tl_keyword contained :dev :digit :downcase :end
syn keyword tl_keyword contained :end-file :env :equal-based :explicit-no
syn keyword tl_keyword contained :fallback :fd :filter :fini
syn keyword tl_keyword contained :finish :float :form :from-current
syn keyword tl_keyword contained :from-end :from-start :from_html :frombase64
syn keyword tl_keyword contained :fromhtml :frompercent :fromurl :fun
syn keyword tl_keyword contained :function :gap :gid :greedy
syn keyword tl_keyword contained :hex :hextoint :inf :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :let :lfilt
syn keyword tl_keyword contained :lines :list :local :longest
syn keyword tl_keyword contained :mandatory :maxgap :maxtimes :method
syn keyword tl_keyword contained :mingap :mintimes :mode :mtime
syn keyword tl_keyword contained :name :named :next-spec :nlink
syn keyword tl_keyword contained :nothrow :oct :outf :outp
syn keyword tl_keyword contained :output :postinit :prio :rdev
syn keyword tl_keyword contained :real-time :reflect :repeat-spec :resolve
syn keyword tl_keyword contained :rfilt :set :set-file :shortest
syn keyword tl_keyword contained :size :space :static :str
syn keyword tl_keyword contained :string :symacro :times :tlist
syn keyword tl_keyword contained :to_html :tobase64 :tofloat :tohtml
syn keyword tl_keyword contained :tohtml* :toint :tonumber :topercent
syn keyword tl_keyword contained :tourl :uid :upcase :use
syn keyword tl_keyword contained :use-from :use-syms :userdata :var
syn keyword tl_keyword contained :vars :weak-keys :weak-vals :whole
syn keyword tl_keyword contained :word-char :wrap < <=
syn keyword tl_keyword contained = > >= abort
syn keyword tl_keyword contained abs abs-path-p acons acons-new
syn keyword tl_keyword contained aconsql-new acos ado af-inet
syn keyword tl_keyword contained af-inet6 af-unix af-unspec ai-addrconfig
syn keyword tl_keyword contained ai-all ai-canonname ai-numerichost ai-numericserv
syn keyword tl_keyword contained ai-passive ai-v4mapped alet alignof
syn keyword tl_keyword contained alist-nremove alist-remove all and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* apply
syn keyword tl_keyword contained aret arraysize ash asin
syn keyword tl_keyword contained assoc assql at-exit-call at-exit-do-not-call
syn keyword tl_keyword contained atan atan2 atom awk
syn keyword tl_keyword contained base-name base64-decode base64-encode bignump
syn keyword tl_keyword contained bindable bit block block*
syn keyword tl_keyword contained boundp break-str brkint bs0
syn keyword tl_keyword contained bs1 bsdly buf-get-char buf-get-cptr
syn keyword tl_keyword contained buf-get-double buf-get-float buf-get-i16 buf-get-i32
syn keyword tl_keyword contained buf-get-i64 buf-get-i8 buf-get-int buf-get-long
syn keyword tl_keyword contained buf-get-short buf-get-u16 buf-get-u32 buf-get-u64
syn keyword tl_keyword contained buf-get-u8 buf-get-uchar buf-get-uint buf-get-ulong
syn keyword tl_keyword contained buf-get-ushort buf-put-char buf-put-cptr buf-put-double
syn keyword tl_keyword contained buf-put-float buf-put-i16 buf-put-i32 buf-put-i64
syn keyword tl_keyword contained buf-put-i8 buf-put-int buf-put-long buf-put-short
syn keyword tl_keyword contained buf-put-u16 buf-put-u32 buf-put-u64 buf-put-u8
syn keyword tl_keyword contained buf-put-uchar buf-put-uint buf-put-ulong buf-put-ushort
syn keyword tl_keyword contained buf-set-length buf-trim bufp build
syn keyword tl_keyword contained build-list butlast butlastn caaaaar
syn keyword tl_keyword contained caaaadr caaaar caaadar caaaddr
syn keyword tl_keyword contained caaadr caaar caadaar caadadr
syn keyword tl_keyword contained caadar caaddar caadddr caaddr
syn keyword tl_keyword contained caadr caar cadaaar cadaadr
syn keyword tl_keyword contained cadaar cadadar cadaddr cadadr
syn keyword tl_keyword contained cadar caddaar caddadr caddar
syn keyword tl_keyword contained cadddar caddddr cadddr caddr
syn keyword tl_keyword contained cadr call call-clobber-expander call-delete-expander
syn keyword tl_keyword contained call-finalizers call-super-fun call-super-method call-update-expander
syn keyword tl_keyword contained callf car carray-blank carray-buf
syn keyword tl_keyword contained carray-buf-sync carray-cptr carray-dup carray-free
syn keyword tl_keyword contained carray-get carray-getz carray-list carray-num
syn keyword tl_keyword contained carray-own carray-pun carray-put carray-putz
syn keyword tl_keyword contained carray-ref carray-refset carray-replace carray-set-length
syn keyword tl_keyword contained carray-sub carray-type carray-unum carray-vec
syn keyword tl_keyword contained carrayp caseq caseq* caseql
syn keyword tl_keyword contained caseql* casequal casequal* cat-str
syn keyword tl_keyword contained cat-streams cat-vec catch catch*
syn keyword tl_keyword contained catenated-stream-p catenated-stream-push cbaud cbaudex
syn keyword tl_keyword contained cdaaaar cdaaadr cdaaar cdaadar
syn keyword tl_keyword contained cdaaddr cdaadr cdaar cdadaar
syn keyword tl_keyword contained cdadadr cdadar cdaddar cdadddr
syn keyword tl_keyword contained cdaddr cdadr cdar cddaaar
syn keyword tl_keyword contained cddaadr cddaar cddadar cddaddr
syn keyword tl_keyword contained cddadr cddar cdddaar cdddadr
syn keyword tl_keyword contained cdddar cddddar cdddddr cddddr
syn keyword tl_keyword contained cdddr cddr cdr ceil
syn keyword tl_keyword contained ceil-rem chain chand chdir
syn keyword tl_keyword contained chmod chr-digit chr-int chr-isalnum
syn keyword tl_keyword contained chr-isalpha chr-isascii chr-isblank chr-iscntrl
syn keyword tl_keyword contained chr-isdigit chr-isgraph chr-islower chr-isprint
syn keyword tl_keyword contained chr-ispunct chr-isspace chr-isunisp chr-isupper
syn keyword tl_keyword contained chr-isxdigit chr-num chr-str chr-str-set
syn keyword tl_keyword contained chr-tolower chr-toupper chr-xdigit chrp
syn keyword tl_keyword contained clamp clear-dirty clear-error clear-struct
syn keyword tl_keyword contained clearhash clocal close-stream closelog
syn keyword tl_keyword contained cmp-str cmspar collect-each collect-each*
syn keyword tl_keyword contained comb command-get command-get-lines command-get-string
syn keyword tl_keyword contained command-put command-put-lines command-put-string compare-swap
syn keyword tl_keyword contained compile-defr-warning compile-error compile-warning compl-span-str
syn keyword tl_keyword contained cond conda condlet cons
syn keyword tl_keyword contained conses conses* consp constantp
syn keyword tl_keyword contained copy copy-alist copy-carray copy-cons
syn keyword tl_keyword contained copy-hash copy-list copy-str copy-struct
syn keyword tl_keyword contained copy-vec cos count-if countq
syn keyword tl_keyword contained countql countqual cptr-free cptr-int
syn keyword tl_keyword contained cptr-null cptr-obj cptr-type cptr-zap
syn keyword tl_keyword contained cptrp cr0 cr1 cr2
syn keyword tl_keyword contained cr3 crdly cread crtscts
syn keyword tl_keyword contained crypt cs5 cs6 cs7
syn keyword tl_keyword contained cs8 csize cstopb cum-norm-dist
syn keyword tl_keyword contained daemon dec defer-warning defex
syn keyword tl_keyword contained deffi deffi-cb deffi-cb-unsafe deffi-type
syn keyword tl_keyword contained deffi-var define-accessor define-modify-macro define-param-expander
syn keyword tl_keyword contained define-place-macro defmacro defmeth defpackage
syn keyword tl_keyword contained defparm defparml defplace defstruct
syn keyword tl_keyword contained defsymacro defun defvar defvarl
syn keyword tl_keyword contained del delay delete-package dir-name
syn keyword tl_keyword contained display-width dlclose dlopen dlsym
syn keyword tl_keyword contained dlsym-checked dlvsym dlvsym-checked do
syn keyword tl_keyword contained dohash dotimes downcase-str drop
syn keyword tl_keyword contained drop-until drop-while dump-deferred-warnings dup
syn keyword tl_keyword contained dupfd dwim each each*
syn keyword tl_keyword contained echo echoctl echoe echok
syn keyword tl_keyword contained echoke echonl echoprt eighth
syn keyword tl_keyword contained elemsize elemtype empty endgrent
syn keyword tl_keyword contained endp endpwent ends-with ensure-dir
syn keyword tl_keyword contained env env-fbind env-hash env-vbind
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained errno error eval evenp
syn keyword tl_keyword contained exception-subtype-map exception-subtype-p exec exit
syn keyword tl_keyword contained exit* exp expand-left expand-right
syn keyword tl_keyword contained expt exptmod extproc f$
syn keyword tl_keyword contained f^ f^$ false fboundp
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-typedef
syn keyword tl_keyword contained fifth file-append file-append-lines file-append-string
syn keyword tl_keyword contained file-get file-get-lines file-get-string file-put
syn keyword tl_keyword contained file-put-lines file-put-string fileno fill-buf
syn keyword tl_keyword contained fill-carray filter-equal filter-string-tree finalize
syn keyword tl_keyword contained find find-frame find-frames find-if
syn keyword tl_keyword contained find-max find-min find-package find-struct-type
syn keyword tl_keyword contained first fixnum-max fixnum-min fixnump
syn keyword tl_keyword contained flatcar flatcar* flatten flatten*
syn keyword tl_keyword contained flet flip flipargs flo-dig
syn keyword tl_keyword contained flo-epsilon flo-int flo-max flo-max-dig
syn keyword tl_keyword contained flo-min flo-str floatp floor
syn keyword tl_keyword contained floor-rem flush-stream flusho fmakunbound
syn keyword tl_keyword contained fmt fnm-casefold fnm-leading-dir fnm-noescape
syn keyword tl_keyword contained fnm-pathname fnm-period fnmatch for
syn keyword tl_keyword contained for* force fork format
syn keyword tl_keyword contained fourth fr$ fr^ fr^$
syn keyword tl_keyword contained from frr fstat ftw
syn keyword tl_keyword contained ftw-actionretval ftw-chdir ftw-continue ftw-d
syn keyword tl_keyword contained ftw-depth ftw-dnr ftw-dp ftw-f
syn keyword tl_keyword contained ftw-mount ftw-ns ftw-phys ftw-skip-siblings
syn keyword tl_keyword contained ftw-skip-subtree ftw-sl ftw-sln ftw-stop
syn keyword tl_keyword contained fun func-get-env func-get-form func-get-name
syn keyword tl_keyword contained func-set-env functionp gcd gen
syn keyword tl_keyword contained generate gensym gequal get-byte
syn keyword tl_keyword contained get-char get-clobber-expander get-delete-expander get-error
syn keyword tl_keyword contained get-error-str get-frames get-hash-userdata get-indent
syn keyword tl_keyword contained get-indent-mode get-line get-lines get-list-from-stream
syn keyword tl_keyword contained get-sig-handler get-string get-string-from-stream get-update-expander
syn keyword tl_keyword contained getaddrinfo getegid getenv geteuid
syn keyword tl_keyword contained getgid getgrent getgrgid getgrnam
syn keyword tl_keyword contained getgroups gethash getitimer getopts
syn keyword tl_keyword contained getpid getppid getpwent getpwnam
syn keyword tl_keyword contained getpwuid getresgid getresuid getuid
syn keyword tl_keyword contained ginterate giterate glob glob-altdirfunc
syn keyword tl_keyword contained glob-brace glob-err glob-mark glob-nocheck
syn keyword tl_keyword contained glob-noescape glob-nomagic glob-nosort glob-onlydir
syn keyword tl_keyword contained glob-period glob-tilde glob-tilde-check go
syn keyword tl_keyword contained greater group-by group-reduce gun
syn keyword tl_keyword contained handle handle* handler-bind hash
syn keyword tl_keyword contained hash-alist hash-begin hash-construct hash-count
syn keyword tl_keyword contained hash-diff hash-eql hash-equal hash-from-pairs
syn keyword tl_keyword contained hash-isec hash-keys hash-list hash-next
syn keyword tl_keyword contained hash-pairs hash-proper-subset hash-revget hash-subset
syn keyword tl_keyword contained hash-uni hash-update hash-update-1 hash-userdata
syn keyword tl_keyword contained hash-values hashp have html-decode
syn keyword tl_keyword contained html-encode html-encode* hupcl iapply
syn keyword tl_keyword contained icanon icrnl identity ido
syn keyword tl_keyword contained iexten if ifa iff
syn keyword tl_keyword contained iffi iflet ignbrk igncr
syn keyword tl_keyword contained ignerr ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in6addr-any
syn keyword tl_keyword contained in6addr-loopback inaddr-any inaddr-loopback inc
syn keyword tl_keyword contained inc-indent indent-code indent-data indent-off
syn keyword tl_keyword contained inhash inlcr inpck int-chr
syn keyword tl_keyword contained int-flo int-str integerp intern
syn keyword tl_keyword contained interp-fun-p interpose invoke-catch ip
syn keyword tl_keyword contained ipf iread isig isqrt
syn keyword tl_keyword contained istrip itimer-prov itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon juxt keep-if keep-if*
syn keyword tl_keyword contained keepq keepql keepqual keyword-package
syn keyword tl_keyword contained keywordp kill labels lambda
syn keyword tl_keyword contained last lazy-str lazy-str-force lazy-str-force-upto
syn keyword tl_keyword contained lazy-str-get-trailing-list lazy-stream-cons lazy-stringp lcm
syn keyword tl_keyword contained lcons lcons-fun lconsp ldiff
syn keyword tl_keyword contained length length-buf length-carray length-list
syn keyword tl_keyword contained length-str length-str-< length-str-<= length-str->
syn keyword tl_keyword contained length-str->= length-vec lequal less
syn keyword tl_keyword contained let let* lexical-fun-p lexical-lisp1-binding
syn keyword tl_keyword contained lexical-var-p lib-version link lisp-parse
syn keyword tl_keyword contained list list* list-carray list-str
syn keyword tl_keyword contained list-vec list-vector listp lnew
syn keyword tl_keyword contained load log log-alert log-auth
syn keyword tl_keyword contained log-authpriv log-cons log-crit log-daemon
syn keyword tl_keyword contained log-debug log-emerg log-err log-info
syn keyword tl_keyword contained log-ndelay log-notice log-nowait log-odelay
syn keyword tl_keyword contained log-perror log-pid log-user log-warning
syn keyword tl_keyword contained log10 log2 logand logior
syn keyword tl_keyword contained lognot logtest logtrunc logxor
syn keyword tl_keyword contained lset lstat m$ m^
syn keyword tl_keyword contained m^$ mac-param-bind macro-ancestor macro-form-p
syn keyword tl_keyword contained macro-time macroexpand macroexpand-1 macrolet
syn keyword tl_keyword contained major make-buf make-catenated-stream make-env
syn keyword tl_keyword contained make-hash make-lazy-cons make-lazy-struct make-like
syn keyword tl_keyword contained make-package make-random-state make-similar-hash make-string-byte-input-stream
syn keyword tl_keyword contained make-string-input-stream make-string-output-stream make-strlist-input-stream make-strlist-output-stream
syn keyword tl_keyword contained make-struct make-struct-type make-sym make-time
syn keyword tl_keyword contained make-time-utc make-trie make-union makedev
syn keyword tl_keyword contained makunbound mapcar mapcar* mapdo
syn keyword tl_keyword contained mapf maphash mappend mappend*
syn keyword tl_keyword contained mask match-fun match-regex match-regex-right
syn keyword tl_keyword contained match-regst match-regst-right match-str match-str-tree
syn keyword tl_keyword contained max mboundp member member-if
syn keyword tl_keyword contained memp memq memql memqual
syn keyword tl_keyword contained merge meth method min
syn keyword tl_keyword contained minor minusp mismatch mkdir
syn keyword tl_keyword contained mknod mkstring mlet mmakunbound
syn keyword tl_keyword contained mod multi multi-sort n-choose-k
syn keyword tl_keyword contained n-perm-k nconc neq neql
syn keyword tl_keyword contained nequal new nexpand-left nil
syn keyword tl_keyword contained nilf ninth nl0 nl1
syn keyword tl_keyword contained nldly noflsh none not
syn keyword tl_keyword contained notf nreconc nreverse nthcdr
syn keyword tl_keyword contained nthlast null nullify num-carray
syn keyword tl_keyword contained num-chr num-str numberp oand
syn keyword tl_keyword contained obtain obtain* obtain*-block obtain-block
syn keyword tl_keyword contained ocrnl oddp ofdel offsetof
syn keyword tl_keyword contained ofill olcuc onlcr onlret
syn keyword tl_keyword contained onocr op open-command open-directory
syn keyword tl_keyword contained open-file open-fileno open-files open-files*
syn keyword tl_keyword contained open-pipe open-process open-socket open-socket-pair
syn keyword tl_keyword contained open-tail openlog opip opost
syn keyword tl_keyword contained opt opthelp or orf
syn keyword tl_keyword contained package-alist package-fallback-list package-foreign-symbols package-local-symbols
syn keyword tl_keyword contained package-name package-symbols packagep pad
syn keyword tl_keyword contained parenb parmrk parodd partition
syn keyword tl_keyword contained partition* partition-by path-blkdev-p path-chrdev-p
syn keyword tl_keyword contained path-dir-p path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-same-object path-sep-chars path-setgid-p path-setuid-p
syn keyword tl_keyword contained path-sock-p path-sticky-p path-strictly-private-to-me-p path-symlink-p
syn keyword tl_keyword contained path-writable-to-me-p pdec pendin perm
syn keyword tl_keyword contained pinc pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plist-to-alist plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained pop pos pos-if pos-max
syn keyword tl_keyword contained pos-min posq posql posqual
syn keyword tl_keyword contained pppred ppred pprinl pprint
syn keyword tl_keyword contained pprof pred prinl print
syn keyword tl_keyword contained prof prog prog* prog1
syn keyword tl_keyword contained progn promisep prop proper-list-p
syn keyword tl_keyword contained proper-listp pset pure-rel-path-p purge-deferred-warning
syn keyword tl_keyword contained push pushhash pushnew put-buf
syn keyword tl_keyword contained put-byte put-carray put-char put-line
syn keyword tl_keyword contained put-lines put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quote r$
syn keyword tl_keyword contained r^ r^$ raise rand
syn keyword tl_keyword contained random random-fixnum random-state-get-vec random-state-p
syn keyword tl_keyword contained range range* range-regex rangep
syn keyword tl_keyword contained rassoc rassql rcomb rcons
syn keyword tl_keyword contained read read-until-match readlink real-time-stream-p
syn keyword tl_keyword contained realpath record-adapter reduce-left reduce-right
syn keyword tl_keyword contained ref refset regex-compile regex-from-trie
syn keyword tl_keyword contained regex-parse regex-source regexp register-exception-subtypes
syn keyword tl_keyword contained register-tentative-def regsub rehome-sym release-deferred-warnings
syn keyword tl_keyword contained remhash remove-if remove-if* remove-path
syn keyword tl_keyword contained remq remq* remql remql*
syn keyword tl_keyword contained remqual remqual* rename-path repeat
syn keyword tl_keyword contained replace replace-list replace-str replace-struct
syn keyword tl_keyword contained replace-vec reset-struct rest ret
syn keyword tl_keyword contained retf return return* return-from
syn keyword tl_keyword contained revappend reverse rfind rfind-if
syn keyword tl_keyword contained rlcp rlcp-tree rlet rmember
syn keyword tl_keyword contained rmember-if rmemq rmemql rmemqual
syn keyword tl_keyword contained rmismatch rotate round round-rem
syn keyword tl_keyword contained rperm rplaca rplacd rpos
syn keyword tl_keyword contained rpos-if rposq rposql rposqual
syn keyword tl_keyword contained rr rra rsearch rslot
syn keyword tl_keyword contained rtld-deepbind rtld-global rtld-lazy rtld-local
syn keyword tl_keyword contained rtld-nodelete rtld-noload rtld-now run
syn keyword tl_keyword contained s-ifblk s-ifchr s-ifdir s-ififo
syn keyword tl_keyword contained s-iflnk s-ifmt s-ifreg s-ifsock
syn keyword tl_keyword contained s-irgrp s-iroth s-irusr s-irwxg
syn keyword tl_keyword contained s-irwxo s-irwxu s-isgid s-isuid
syn keyword tl_keyword contained s-isvtx s-iwgrp s-iwoth s-iwusr
syn keyword tl_keyword contained s-ixgrp s-ixoth s-ixusr search
syn keyword tl_keyword contained search-regex search-regst search-str search-str-tree
syn keyword tl_keyword contained second seek-stream select self-load-path
syn keyword tl_keyword contained self-path seqp set set-diff
syn keyword tl_keyword contained set-hash-userdata set-indent set-indent-mode set-package-fallback-list
syn keyword tl_keyword contained set-sig-handler setegid setenv seteuid
syn keyword tl_keyword contained setgid setgrent setgroups sethash
syn keyword tl_keyword contained setitimer setlogmask setpwent setresgid
syn keyword tl_keyword contained setresuid setuid seventh sh
syn keyword tl_keyword contained shift shuffle shut-rd shut-rdwr
syn keyword tl_keyword contained shut-wr sig-abrt sig-alrm sig-bus
syn keyword tl_keyword contained sig-check sig-chld sig-cont sig-fpe
syn keyword tl_keyword contained sig-hup sig-ill sig-int sig-io
syn keyword tl_keyword contained sig-iot sig-kill sig-pipe sig-poll
syn keyword tl_keyword contained sig-prof sig-pwr sig-quit sig-segv
syn keyword tl_keyword contained sig-stkflt sig-stop sig-sys sig-term
syn keyword tl_keyword contained sig-trap sig-tstp sig-ttin sig-ttou
syn keyword tl_keyword contained sig-urg sig-usr1 sig-usr2 sig-vtalrm
syn keyword tl_keyword contained sig-winch sig-xcpu sig-xfsz sign-extend
syn keyword tl_keyword contained sin sixth size-vec sizeof
syn keyword tl_keyword contained slet slot slotp slots
syn keyword tl_keyword contained slotset sock-accept sock-bind sock-cloexec
syn keyword tl_keyword contained sock-connect sock-dgram sock-family sock-listen
syn keyword tl_keyword contained sock-nonblock sock-peer sock-recv-timeout sock-send-timeout
syn keyword tl_keyword contained sock-set-peer sock-shutdown sock-stream sock-type
syn keyword tl_keyword contained some sort sort-group source-loc
syn keyword tl_keyword contained source-loc-str span-str special-operator-p special-var-p
syn keyword tl_keyword contained splice split split* split-str
syn keyword tl_keyword contained split-str-set sqrt sssucc ssucc
syn keyword tl_keyword contained starts-with stat static-slot static-slot-ensure
syn keyword tl_keyword contained static-slot-home static-slot-p static-slot-set stdlib
syn keyword tl_keyword contained str-in6addr str-in6addr-net str-inaddr str-inaddr-net
syn keyword tl_keyword contained str< str<= str= str>
syn keyword tl_keyword contained str>= stream-get-prop stream-set-prop streamp
syn keyword tl_keyword contained string-extend string-lt stringp struct-from-args
syn keyword tl_keyword contained struct-from-plist struct-type struct-type-p structp
syn keyword tl_keyword contained sub sub-list sub-str sub-vec
syn keyword tl_keyword contained subtypep succ super super-method
syn keyword tl_keyword contained suspend swap symacrolet symbol-function
syn keyword tl_keyword contained symbol-macro symbol-name symbol-package symbol-value
syn keyword tl_keyword contained symbolp symlink sys:*pl-env* sys:*trace-hash*
syn keyword tl_keyword contained sys:*trace-level* sys:abscond* sys:abscond-from sys:analyze-argtypes
syn keyword tl_keyword contained sys:apply sys:awk-code-move-check sys:awk-expander sys:awk-fun-let
syn keyword tl_keyword contained sys:awk-fun-shadowing-env sys:awk-mac-let sys:awk-redir sys:awk-test
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bits sys:build-key-list sys:capture-cont
syn keyword tl_keyword contained sys:catch sys:check-slot sys:check-struct sys:circref
syn keyword tl_keyword contained sys:compat sys:conv sys:conv-expand sys:conv-let
syn keyword tl_keyword contained sys:ctx-form sys:ctx-name sys:deffi-cb-expander sys:defmeth
syn keyword tl_keyword contained sys:dlib-expr sys:do-conv sys:do-path-test sys:dvbind
syn keyword tl_keyword contained sys:dwim-del sys:dwim-set sys:each-op sys:eval-err
syn keyword tl_keyword contained sys:expand sys:expand-handle sys:expand-params sys:expand-with-free-refs
syn keyword tl_keyword contained sys:expr sys:extract-keys sys:extract-keys-p sys:fbind
syn keyword tl_keyword contained sys:for-op sys:gc sys:gc-set-delta sys:get-fun-getter-setter
syn keyword tl_keyword contained sys:get-mb sys:get-place-macro sys:get-vb sys:handle-bad-syntax
syn keyword tl_keyword contained sys:if-to-cond sys:in6addr-condensed-text sys:l1-setq sys:l1-val
syn keyword tl_keyword contained sys:lbind sys:lisp1-setq sys:lisp1-value sys:list-builder-flets
syn keyword tl_keyword contained sys:loc sys:make-struct-lit sys:make-struct-type sys:mark-special
syn keyword tl_keyword contained sys:name-str sys:obtain-impl sys:opt-dash sys:opt-err
syn keyword tl_keyword contained sys:path-access sys:path-examine sys:path-test sys:path-test-mode
syn keyword tl_keyword contained sys:pl-expand sys:placelet-1 sys:propagate-ancestor sys:prune-missing-inits
syn keyword tl_keyword contained sys:qquote sys:quasi sys:quasilist sys:r-s-let-expander
syn keyword tl_keyword contained sys:reg-expand-nongreedy sys:reg-optimize sys:register-simple-accessor sys:rplaca
syn keyword tl_keyword contained sys:rplacd sys:rslotset sys:set-hash-rec-limit sys:set-hash-str-limit
syn keyword tl_keyword contained sys:set-macro-ancestor sys:setq sys:setqf sys:slot-types
syn keyword tl_keyword contained sys:splice sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:switch sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander
syn keyword tl_keyword contained sys:top-fb sys:top-mb sys:top-vb sys:trace
syn keyword tl_keyword contained sys:trace-canonicalize-name sys:trace-enter sys:trace-leave sys:trace-redefine-check
syn keyword tl_keyword contained sys:try-load sys:unquote sys:untrace sys:var
syn keyword tl_keyword contained sys:wdwrap sys:with-dyn-rebinds syslog system-package
syn keyword tl_keyword contained t tab0 tab1 tab2
syn keyword tl_keyword contained tab3 tabdly tagbody take
syn keyword tl_keyword contained take-until take-while tan tb
syn keyword tl_keyword contained tc tcdrain tcflow tcflush
syn keyword tl_keyword contained tcgetattr tciflush tcioff tcioflush
syn keyword tl_keyword contained tcion tcoflush tcooff tcoon
syn keyword tl_keyword contained tcsadrain tcsaflush tcsanow tcsendbreak
syn keyword tl_keyword contained tcsetattr tentative-def-exists tenth test-clear
syn keyword tl_keyword contained test-clear-dirty test-dec test-dirty test-inc
syn keyword tl_keyword contained test-set test-set-indent-mode tf third
syn keyword tl_keyword contained throw throwf time time-fields-local
syn keyword tl_keyword contained time-fields-utc time-parse time-parse-local time-parse-utc
syn keyword tl_keyword contained time-string-local time-string-utc time-struct-local time-struct-utc
syn keyword tl_keyword contained time-usec to tofloat tofloatz
syn keyword tl_keyword contained toint tointz tok-str tok-where
syn keyword tl_keyword contained tostop tostring tostringp tprint
syn keyword tl_keyword contained trace transpose tree-bind tree-case
syn keyword tl_keyword contained tree-find trie-add trie-compress trie-lookup-begin
syn keyword tl_keyword contained trie-lookup-feed-char trie-value-at trim-str true
syn keyword tl_keyword contained trunc trunc-rem truncate-stream tuples
syn keyword tl_keyword contained txr-case txr-case-impl txr-if txr-path
syn keyword tl_keyword contained txr-sym txr-version txr-when typecase
syn keyword tl_keyword contained typedef typeof typep umask
syn keyword tl_keyword contained umeth umethod uname unget-byte
syn keyword tl_keyword contained unget-char unintern union-get union-in
syn keyword tl_keyword contained union-members union-out union-put uniq
syn keyword tl_keyword contained unique unless unquote unsetenv
syn keyword tl_keyword contained until until* untrace unum-carray
syn keyword tl_keyword contained unuse-package unuse-sym unwind-protect upcase-str
syn keyword tl_keyword contained upd update uref url-decode
syn keyword tl_keyword contained url-encode use use-package use-sym
syn keyword tl_keyword contained user-package usl usleep uslot
syn keyword tl_keyword contained vdiscard vec vec-carray vec-list
syn keyword tl_keyword contained vec-push vec-set-length vecref vector
syn keyword tl_keyword contained vector-list vectorp veof veol
syn keyword tl_keyword contained veol2 verase vintr vkill
syn keyword tl_keyword contained vlnext vmin vquit vreprint
syn keyword tl_keyword contained vstart vstop vsusp vswtc
syn keyword tl_keyword contained vt0 vt1 vtdly vtime
syn keyword tl_keyword contained vwerase w-continued w-coredump w-exitstatus
syn keyword tl_keyword contained w-ifcontinued w-ifexited w-ifsignaled w-ifstopped
syn keyword tl_keyword contained w-nohang w-stopsig w-termsig w-untraced
syn keyword tl_keyword contained wait weave when whena
syn keyword tl_keyword contained whenlet where while while*
syn keyword tl_keyword contained whilet width width-check window-map
syn keyword tl_keyword contained window-mappend with-clobber-expander with-delete-expander with-dyn-lib
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-string-byte-stream with-in-string-stream
syn keyword tl_keyword contained with-objects with-out-string-stream with-out-strlist-stream with-resources
syn keyword tl_keyword contained with-slots with-stream with-update-expander wrap
syn keyword tl_keyword contained wrap* xcase yield yield-from
syn keyword tl_keyword contained zap zerop zip

syn keyword txr_keyword contained accept all and assert
syn keyword txr_keyword contained bind block call cases
syn keyword txr_keyword contained cat catch choose chr
syn keyword txr_keyword contained close coll collect data
syn keyword txr_keyword contained defex deffilter define do
syn keyword txr_keyword contained elif else empty end
syn keyword txr_keyword contained eof eol fail filter
syn keyword txr_keyword contained finally first flatten forget
syn keyword txr_keyword contained freeform fuzz gather if
syn keyword txr_keyword contained include last line load
syn keyword txr_keyword contained local maybe merge mod
syn keyword txr_keyword contained modlast name next none
syn keyword txr_keyword contained or output rebind rep
syn keyword txr_keyword contained repeat require set single
syn keyword txr_keyword contained skip some text throw
syn keyword txr_keyword contained trailer try until var
syn match txr_error "\(@[ \t]*\)[*]\?[\t ]*."
syn match txr_atat "\(@[ \t]*\)@"
syn match txr_comment "\(@[ \t]*\)[#;].*"
syn match txr_contin "\(@[ \t]*\)\\$"
syn match txr_char "\(@[ \t]*\)\\."
syn match txr_error "\(@[ \t]*\)\\[xo]"
syn match txr_char "\(@[ \t]*\)\\x[0-9A-Fa-f]\+;\?"
syn match txr_char "\(@[ \t]*\)\\[0-7]\+;\?"
syn match txr_regdir "\(@[ \t]*\)/\(\\/\|[^/]\|\\\n\)*/"
syn match txr_hashbang "^#!.*"
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+" contained
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+" contained
syn match txr_chr "#\\o[0-7]\+" contained
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]" contained
syn match txr_chr "#\\[A-Za-z_0-9]\+" contained
syn match txr_ncomment ";.*" contained

syn match txr_dot "\." contained
syn match txr_num "#x[+\-]\?[0-9A-Fa-f]\+" contained
syn match txr_num "#o[+\-]\?[0-7]\+" contained
syn match txr_num "#b[+\-]\?[01]\+" contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]*[A-Za-z_!$%&*+\-<=>?\\_~^/#][A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*" contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+" contained
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match tl_ident ":" contained
syn match tl_splice "[ \t,]\|,[*]" contained

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained
syn match txr_circ "#[0-9]\+[#=]"

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_directive matchgroup=Delimiter start="@[ \t]*(" matchgroup=Delimiter end=")" contains=txr_keyword,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_num,txr_badnum,tl_ident,tl_regex,txr_string,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_list contained matchgroup=Delimiter start="\(#[HSR]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_bracket contained matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_mlist contained matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_string contained start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit contained start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,txr_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex contained start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex contained start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_ign_par contained matchgroup=Comment start="#;[ \t',]*\(#[HSR]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt contained matchgroup=Comment start="#;[ \t',]*\(#[HSR]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_par_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_badnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error
hi def link txr_ign_par Comment
hi def link txr_ign_bkt_interior Comment
hi def link txr_ign_par_interior Comment
hi def link txr_ign_bkt Comment

let b:current_syntax = "lisp"

set lispwords=ado,alet,alignof,ap,append-each,append-each*,aret,arraysize,awk,block,block*,build,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,collect-each,collect-each*,compare-swap,cond,conda,condlet,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-type,deffi-var,define-accessor,define-modify-macro,define-param-expander,define-place-macro,defmacro,defmeth,defpackage,defparm,defparml,defplace,defstruct,defsymacro,defun,defvar,defvarl,del,delay,do,dohash,dotimes,each,each*,elemsize,elemtype,equot,ffi,flet,flip,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,ido,if,ifa,iflet,ignerr,ignwarn,in-package,ip,labels,lambda,lcons,let,let*,lset,mac-param-bind,macro-time,macrolet,mlet,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pdec,pinc,placelet,placelet*,pop,pprof,prof,prog,prog*,prog1,progn,push,pushnew,ret,return,return-from,rlet,rslot,sizeof,slet,splice,suspend,symacrolet,sys:abscond-from,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:catch,sys:conv,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:for-op,sys:l1-val,sys:lbind,sys:lisp1-value,sys:path-examine,sys:path-test,sys:placelet-1,sys:splice,sys:struct-lit,sys:switch,sys:unquote,sys:var,sys:with-dyn-rebinds,tagbody,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-case-impl,txr-if,txr-when,typecase,typedef,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,whena,whenlet,while,while*,whilet,with-clobber-expander,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,:method,:function,:init,:postinit,:fini
